
From: Jan Kara <jack@suse.cz>

Make reiserfs BUG() when somebody tries to start a larger transaction than
it's allowed (currently the code just silently deadlocks).

Signed-off-by: Jan Kara <jack@suse.cz>
Acked-by: Chris Mason <mason@suse.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/reiserfs/journal.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN fs/reiserfs/journal.c~make-reiserfs-bug-on-too-big-transaction fs/reiserfs/journal.c
--- 25/fs/reiserfs/journal.c~make-reiserfs-bug-on-too-big-transaction	2005-05-23 19:41:30.000000000 -0700
+++ 25-akpm/fs/reiserfs/journal.c	2005-05-23 19:41:30.000000000 -0700
@@ -2641,6 +2641,8 @@ static int do_journal_begin_r(struct rei
   int retval;
 
   reiserfs_check_lock_depth(p_s_sb, "journal_begin") ;
+  if (nblocks > journal->j_trans_max)
+	BUG();
 
   PROC_INFO_INC( p_s_sb, journal.journal_being );
   /* set here for journal_join */
_
